Package net.shibboleth.idp.profile

# Class IdPEventIds

java.lang.Object
net.shibboleth.idp.profile.IdPEventIds

public final class IdPEventIds extends Object
IdP-specific constants to use for `ProfileAction` `EventContext`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INVALID_ATTRIBUTE_CTX`
ID of event returned if the @link AttributeContext is missing or corrupt.
`static final String`
`INVALID_PROFILE_CONFIG`
ID of event returned if the `ProfileConfiguration` is missing or corrupt.
`static final String`
`INVALID_RELYING_PARTY_CONFIG`
ID of event returned if the `RelyingPartyConfiguration` is missing or corrupt.
`static final String`
`INVALID_RELYING_PARTY_CTX`
ID of event returned if the `RelyingPartyContext` is missing or corrupt.
`static final String`
`INVALID_SUBJECT_CTX`
ID of event returned if the @link SubjectContext is missing or corrupt.
`static final String`
`UNABLE_ENCODE_ATTRIBUTE`
ID of the event returned if some attributes cannot be encoded.
`static final String`
`UNABLE_FILTER_ATTRIBS`
ID of event returned if attribute filtering failed.
`static final String`
`UNABLE_RESOLVE_ATTRIBS`
ID of event returned if attribute resolution failed.
`static final String`
`UPDATE_SECURITY_PARAMETERS`
ID of the event returned by a flow to signal the need to re-derive parameters.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`IdPEventIds()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INVALID_RELYING_PARTY_CTX

@Nonnull @NotEmpty public static final String INVALID_RELYING_PARTY_CTX
ID of event returned if the `RelyingPartyContext` is missing or corrupt.

See Also:
  - Constant Field Values

### INVALID_RELYING_PARTY_CONFIG

@Nonnull @NotEmpty public static final String INVALID_RELYING_PARTY_CONFIG
ID of event returned if the `RelyingPartyConfiguration` is missing or corrupt.

See Also:
  - Constant Field Values

### INVALID_PROFILE_CONFIG

@Nonnull @NotEmpty public static final String INVALID_PROFILE_CONFIG
ID of event returned if the `ProfileConfiguration` is missing or corrupt.

See Also:
  - Constant Field Values

### INVALID_ATTRIBUTE_CTX

@Nonnull @NotEmpty public static final String INVALID_ATTRIBUTE_CTX
ID of event returned if the @link AttributeContext is missing or corrupt.

See Also:
  - Constant Field Values

### INVALID_SUBJECT_CTX

@Nonnull @NotEmpty public static final String INVALID_SUBJECT_CTX
ID of event returned if the @link SubjectContext is missing or corrupt.

See Also:
  - Constant Field Values

### UNABLE_RESOLVE_ATTRIBS

@Nonnull @NotEmpty public static final String UNABLE_RESOLVE_ATTRIBS
ID of event returned if attribute resolution failed.

See Also:
  - Constant Field Values

### UNABLE_FILTER_ATTRIBS

@Nonnull @NotEmpty public static final String UNABLE_FILTER_ATTRIBS
ID of event returned if attribute filtering failed.

See Also:
  - Constant Field Values

### UNABLE_ENCODE_ATTRIBUTE

@Nonnull @NotEmpty public static final String UNABLE_ENCODE_ATTRIBUTE
ID of the event returned if some attributes cannot be encoded.

See Also:
  - Constant Field Values

### UPDATE_SECURITY_PARAMETERS

@Nonnull @NotEmpty public static final String UPDATE_SECURITY_PARAMETERS
ID of the event returned by a flow to signal the need to re-derive parameters.

See Also:
  - Constant Field Values

## Constructor Details

### IdPEventIds

private IdPEventIds()
Constructor.